Bug 16499 - armv4 (non-thumb) builds broken in clone.S
Summary: armv4 (non-thumb) builds broken in clone.S
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: ports (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks: 15909
  Show dependency treegraph
 
Reported: 2014-01-22 19:29 UTC by Mike Frysinger
Modified: 2014-06-13 08:52 UTC (History)
4 users (show)

See Also:
Host: armv4l-unknown-linux-gnueabi
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Frysinger 2014-01-22 19:29:27 UTC
after the change in bug 15909, building for non-thumb armv4 fails:
../ports/sysdeps/unix/sysv/linux/arm/nptl/../clone.S: Assembler messages:
../ports/sysdeps/unix/sysv/linux/arm/nptl/../clone.S:97: Error: selected processor does not support ARM mode `blx lr'
Comment 1 cvs-commit@gcc.gnu.org 2014-01-24 13:16:44 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  47590bce28616abbcee93457da91d65a7a07589b (commit)
      from  5d41dadf31bc8a2f9c34c40d52a442d3794e405c (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=47590bce28616abbcee93457da91d65a7a07589b

commit 47590bce28616abbcee93457da91d65a7a07589b
Author: Will Newton <will.newton@linaro.org>
Date:   Thu Jan 23 11:11:24 2014 +0000

    ARM: Fix clone build for ARMv4
    
    ARMv4 does not have the blx instruction, so use the BLX macro which
    handles abstracting this for us.
    
    Build tested for armv7, armv4t and armv4.
    
    ports/ChangeLog.arm:
    
    2014-01-24  Will Newton  <will.newton@linaro.org>
    
    	[BZ #16499]
    	* sysdeps/unix/sysv/linux/arm/clone.S: Use BLX macro instead
    	of blx instruction directly.

-----------------------------------------------------------------------

Summary of changes:
 ports/ChangeLog.arm                       |    6 ++++++
 ports/sysdeps/unix/sysv/linux/arm/clone.S |    8 +-------
 2 files changed, 7 insertions(+), 7 deletions(-)
Comment 2 cvs-commit@gcc.gnu.org 2014-01-25 22:05:27 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, gentoo/2.18 has been updated
       via  787172fdbbdf78fc30f222748f1197d396b05f96 (commit)
       via  f09e8aec0cf7a8ddda8ae04859f3e256c1741775 (commit)
      from  3cd70f9e650bafef5c73c19229e6f0176604bb9e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=787172fdbbdf78fc30f222748f1197d396b05f96

commit 787172fdbbdf78fc30f222748f1197d396b05f96
Author: Richard Henderson <rth@twiddle.net>
Date:   Fri Jan 24 09:07:04 2014 -0800

    alpha: Fix tls-macros.h
    
    Reported to the gcc bugzilla, there was a missing dependency on $gp
    that let the compiler generated $gp reload be scheduled across the
    macros here.
    
    (cherry picked from commit 4ab6acaebd0047dc37c6493946484be9f1b4920b)

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=f09e8aec0cf7a8ddda8ae04859f3e256c1741775

commit f09e8aec0cf7a8ddda8ae04859f3e256c1741775
Author: Will Newton <will.newton@linaro.org>
Date:   Thu Jan 23 11:11:24 2014 +0000

    ARM: Fix clone build for ARMv4
    
    ARMv4 does not have the blx instruction, so use the BLX macro which
    handles abstracting this for us.
    
    Build tested for armv7, armv4t and armv4.
    
    ports/ChangeLog.arm:
    
    2014-01-24  Will Newton  <will.newton@linaro.org>
    
    	[BZ #16499]
    	* sysdeps/unix/sysv/linux/arm/clone.S: Use BLX macro instead
    	of blx instruction directly.
    
    (cherry picked from commit 47590bce28616abbcee93457da91d65a7a07589b)

-----------------------------------------------------------------------

Summary of changes:
 ports/sysdeps/alpha/tls-macros.h          |   22 +++++++++++-----------
 ports/sysdeps/unix/sysv/linux/arm/clone.S |    8 +-------
 2 files changed, 12 insertions(+), 18 deletions(-)
Comment 3 Allan McRae 2014-01-27 11:37:12 UTC
commit 47590bce28616abbcee93457da91d65a7a07589b
Author: Will Newton <will.newton@linaro.org>
Date:   Thu Jan 23 11:11:24 2014 +0000

    ARM: Fix clone build for ARMv4